Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1509 (new defect)

Opened 14 years ago

Last modified 10 years ago

Unable to get an Xbox 360 official wireless adapter to connect to a madwifi AP

Reported by: kbug@koreen.com Assigned to:
Priority: minor Milestone:
Component: madwifi: other Version: v0.9.3.1
Keywords: Cc:
Patch is attached: 0 Pending:

Description

I have a linux machine using a minipci atheros card (will have info about it below) running as an Access Point in Master mode and using hostapd for access point config. Note: I've tried this with no encryption/wep/wpa/wpa2.

In all test cases I was successfully able to connect to the access point with both a windows computer and my laptop (running linux, atheros card, wpa_supplicant), but was unable to connect to the access point with the xbox wireless adapter. At the same time I had no problems connecting to other Access Points with the xbox. The Xbox 360 itself had pretty much almost no debug information. It reported an "X: 8000 0011", which upon searching google is the same error given for "Ethernet not connected". No real help there.

The machine running the access point has 2 intel nics and the minipci atheros card. I have the ath0 and eth1 set up as a bridge for the LAN side and using an iptables firewall/NAT to the eth0 interface. I have had no other problems with the AP.

The following is the code is what I got when I ran athdebug 0xffffffff for a few seconds. Note: 00:12:5a:b1:7a:41 is the mac of the xbox wireless adapter. Below all of that, there is the ath_pci module loading info from the boot log (for version information). The kernel running is a gentoo hardened kernel 2.6.20-hardened-r6 #2 PREEMPT Fri Aug 10 09:13:06 PDT 2007 i686 Celeron (Coppermine) GenuineIntel? GNU/Linux.

Aug 16 16:44:47 krat NODS 00:12:5a:b1:7a:41->ff:ff:ff:ff:ff:ff(ff:ff:ff:ff:ff:ff) probe_req 1M +46
Aug 16 16:44:47 krat
Aug 16 16:44:47 krat 40 00 00 00 ff ff ff ff  ff ff 00 12 5a b1 7a 41
Aug 16 16:44:47 krat ff ff ff ff ff ff 50 d7  00 05 4b 52 61 74 47 01
Aug 16 16:44:47 krat 08 82 84 8b 96 0c 12 18  24 03 01 0b 32 04 30 48
Aug 16 16:44:47 krat 60 6c
Aug 16 16:44:47 krat
Aug 16 16:44:47 krat ath_rate_sample: ath_rate_ctl_reset 00:00:00:00:00:00 no rates (fixed 4294967295)
Aug 16 16:44:47 krat ath_node_alloc: an cd311000
Aug 16 16:44:47 krat ath_tx_start: skb0 ce9ebc20 [data ceb79410 len 159] skbaddr eb79410
Aug 16 16:44:47 krat NODS 00:02:6f:49:ef:fc->00:12:5a:b1:7a:41(00:02:6f:49:ef:fc) probe_resp 1M
Aug 16 16:44:47 krat
Aug 16 16:44:47 krat 50 00 3a 01 00 12 5a b1  7a 41 00 02 6f 49 ef fc
Aug 16 16:44:47 krat 00 02 6f 49 ef fc 00 00  00 00 00 00 00 00 00 00
Aug 16 16:44:47 krat 64 00 31 04 00 05 4b 52  61 74 47 01 08 82 84 8b
Aug 16 16:44:47 krat 0c 12 96 18 24 03 01 0b  07 06 4e 41 49 01 0b 1b
Aug 16 16:44:47 krat 20 01 00 2a 01 00 32 04  30 48 60 6c dd 18 00 50
Aug 16 16:44:47 krat f2 02 01 01 83 00 02 a3  40 00 27 a4 00 00 42 43
Aug 16 16:44:47 krat 5e 00 62 32 2f 00 30 14  01 00 00 0f ac 04 01 00
Aug 16 16:44:47 krat 00 0f ac 04 01 00 00 0f  ac 02 00 00 dd 16 00 50
Aug 16 16:44:47 krat f2 01 01 00 00 50 f2 04  01 00 00 50 f2 04 01 00
Aug 16 16:44:47 krat 00 50 f2 02 dd 09 00 03  7f 01 01 00 20 ff 7f
Aug 16 16:44:47 krat
Aug 16 16:44:47 krat ath_tx_start: Q1: (ds)cf3e2760 (lk)00000000 (d)0eb79410 (c0)032100a3 (c1)0640009f 000b0000 0000001b
Aug 16 16:44:47 krat ath_tx_txqaddbuf: txq depth = 2
Aug 16 16:44:47 krat ath_tx_txqaddbuf: link[1] (cf3e2700)=f3e2760 (cf3e2760)
Aug 16 16:44:47 krat ath_intr: status 0x40
Aug 16 16:44:47 krat ath_tx_processq: tx queue 1 (0xf3e2760), link cf3e2760
Aug 16 16:44:47 krat ath_tx_processq: frame's last desc: cf3e2700
Aug 16 16:44:47 krat T (cf3e2700 f3e2700) 0f3e2760 0f3cd024 432100da 0600a0d0 03328000 00006fbd f5a80001 00066961 *
Aug 16 16:44:47 krat ath_tx_processq: updating frame's sequence number from 378 to 1200
Aug 16 16:44:47 krat ath_tx_processq: free skb cf4950e0
Aug 16 16:44:47 krat ath_tx_processq: frame's last desc: cf3e2760
Aug 16 16:44:47 krat T (cf3e2760 f3e2760) 00000000 0eb79410 032100a3 0640009f 000b0000 0000001b 00000000 00000000
Aug 16 16:44:47 krat ath_intr: status 0x10000
Aug 16 16:44:47 krat ath_beacon_send: slot 2 [tsf 4628034616 tsftu 4519565 intval 100] vap 00000000
Aug 16 16:44:47 krat ath_intr: status 0x4009
Aug 16 16:44:47 krat ath_rx_tasklet
Aug 16 16:44:47 krat R (cf3f9090 f3f9090) 0f3f90c0 0fc50020 00000000 00000c40 122d8000 42461111 !
Aug 16 16:44:47 krat ath_intr: status 0x4009
Aug 16 16:44:47 krat ath_rx_tasklet
Aug 16 16:44:47 krat R (cf3f90c0 f3f90c0) 0f3f90f0 0d489020 00000000 00000c40 121d8000 61841111 !
Aug 16 16:44:47 krat ath_intr: status 0x10000
Aug 16 16:44:47 krat ath_beacon_send: slot 3 [tsf 4628060214 tsftu 4519590 intval 100] vap 00000000
Aug 16 16:44:47 krat ath_intr: status 0x4009
Aug 16 16:44:47 krat ath_rx_tasklet
Aug 16 16:44:47 krat R (cf3f90f0 f3f90f0) 0f3f9120 0e989020 00000000 00000c40 11fd8000 3f3e1111 !
Aug 16 16:44:47 krat ath_intr: status 0x4009
Aug 16 16:44:47 krat ath_rx_tasklet
Aug 16 16:44:47 krat R (cf3f9120 f3f9120) 0f3f9150 0d3de020 00000000 00000c40 122d8000 5e781111 !
Aug 16 16:44:47 krat ath_intr: status 0x10000
Aug 16 16:44:47 krat ath_beacon_send: slot 0 [tsf 4628085814 tsftu 4519615 intval 100] vap cfd17260
Aug 16 16:44:47 krat ath_beacon_setup: m cf937760 len 165
Aug 16 16:44:47 krat ath_intr: status 0x4009
Aug 16 16:44:47 krat ath_rx_tasklet
Aug 16 16:44:47 krat R (cf3f9150 f3f9150) 0f3f9180 0d7ea020 00000000 00000c40 123d8000 7db61111 !
Aug 16 16:44:47 krat ath_intr: status 0x4009
Aug 16 16:44:47 krat ath_rx_tasklet
Aug 16 16:44:47 krat R (cf3f9180 f3f9180) 0f3f91b0 0cffa020 00000000 00000c40 103d8000 06301911 !
Aug 16 16:44:47 krat ath_intr: status 0x4009
Aug 16 16:44:47 krat ath_rx_tasklet
Aug 16 16:44:47 krat R (cf3f91b0 f3f91b0) 0f3f91e0 0fdba020 00000000 00000c40 103d8000 06ea1911 !
Aug 16 16:44:47 krat ath_intr: status 0x4009
Aug 16 16:44:47 krat ath_rx_tasklet
Aug 16 16:44:47 krat R (cf3f91e0 f3f91e0) 0f3f9210 0d28c020 00000000 00000c40 103d8000 07fe1911 !
Aug 16 16:44:47 krat ath_intr: status 0x4009
Aug 16 16:44:47 krat ath_rx_tasklet
Aug 16 16:44:47 krat R (cf3f9210 f3f9210) 0f3f9240 0f373020 00000000 00000c40 121d8000 1cfa1111 !
Aug 16 16:44:47 krat ath_intr: status 0x4009
Aug 16 16:44:47 krat ath_rx_tasklet
Aug 16 16:44:47 krat R (cf3f9240 f3f9240) 0f3f9270 0e969020 00000000 00000c40 122d8000 5b701111 !
Aug 16 16:44:47 krat ath_intr: status 0x10000
Aug 16 16:44:47 krat ath_beacon_send: slot 1 [tsf 4628111416 tsftu 4519640 intval 100] vap 00000000
Aug 16 16:44:47 krat ath_intr: status 0x4009
Aug 16 16:44:47 krat ath_rx_tasklet
Aug 16 16:44:47 krat R (cf3f9270 f3f9270) 0f3f92a0 0d295020 00000000 00000c40 122d8000 7aae1111 !
Aug 16 16:44:48 krat ath_intr: status 0x4009
Aug 16 16:44:48 krat ath_rx_tasklet
Aug 16 16:44:48 krat R (cf3f92a0 f3f92a0) 0f3f92d0 0e98b020 00000000 00000c40 122d8000 19f41111 !
Aug 16 16:44:48 krat ath_intr: status 0x10000
Aug 16 16:44:48 krat ath_beacon_send: slot 2 [tsf 4628137014 tsftu 4519665 intval 100] vap 00000000
Aug 16 16:44:48 krat ath_intr: status 0x4009
Aug 16 16:44:48 krat ath_rx_tasklet
Aug 16 16:44:48 krat R (cf3f92d0 f3f92d0) 0f3f9300 0d34d020 00000000 00000c40 122d8000 58681111 !
Aug 16 16:44:48 krat ath_intr: status 0x4009
Aug 16 16:44:48 krat ath_rx_tasklet
Aug 16 16:44:48 krat R (cf3f9300 f3f9300) 0f3f9330 0d891020 00000000 00000c40 124d8000 77ac1111 !
Aug 16 16:44:48 krat ath_intr: status 0x10000
Aug 16 16:44:48 krat ath_beacon_send: slot 3 [tsf 4628162614 tsftu 4519690 intval 100] vap 00000000
Aug 16 16:44:48 krat ath_intr: status 0x4009
Aug 16 16:44:48 krat ath_rx_tasklet
Aug 16 16:44:48 krat R (cf3f9330 f3f9330) 0f3f9360 0e951020 00000000 00000c40 122d8000 36241111 !
Aug 16 16:44:48 krat ath_intr: status 0x4009
Aug 16 16:44:48 krat ath_rx_tasklet
Aug 16 16:44:48 krat R (cf3f9360 f3f9360) 0f3f9390 0cde4020 00000000 00000c40 124d8000 55601111 !
Aug 16 16:44:48 krat ath_intr: status 0x10000
Aug 16 16:44:48 krat ath_beacon_send: slot 0 [tsf 4628188212 tsftu 4519715 intval 100] vap cfd17260
Aug 16 16:44:48 krat ath_beacon_setup: m cf937760 len 165
Aug 16 16:44:48 krat ath_intr: status 0x4009
Aug 16 16:44:48 krat ath_rx_tasklet
Aug 16 16:44:48 krat R (cf3f9390 f3f9390) 0f3f93c0 0e957020 00000000 00000c40 122d8000 13e01111 !
Aug 16 16:44:48 krat ath_intr: status 0x4009
Aug 16 16:44:48 krat ath_rx_tasklet
Aug 16 16:44:48 krat R (cf3f93c0 f3f93c0) 0f3f93f0 0f27e020 00000000 00000c40 102d8000 160a1911 !
Aug 16 16:44:48 krat ath_intr: status 0x4009
Aug 16 16:44:48 krat ath_rx_tasklet
Aug 16 16:44:48 krat R (cf3f93f0 f3f93f0) 0f3f9420 0e995020 00000000 00000c40 103d8000 16b61911 !
Aug 16 16:44:48 krat ath_intr: status 0x4009
Aug 16 16:44:48 krat ath_rx_tasklet
Aug 16 16:44:48 krat R (cf3f9420 f3f9420) 0f3f9450 0e99d020 00000000 00000c40 104d8000 17cc1911 !
Aug 16 16:44:48 krat ath_intr: status 0x4009
Aug 16 16:44:48 krat ath_rx_tasklet
Aug 16 16:44:48 krat R (cf3f9450 f3f9450) 0f3f9480 0c831020 00000000 00000c40 104d8000 187a1911 !
Aug 16 16:44:48 krat ath_intr: status 0x4009
Aug 16 16:44:48 krat ath_rx_tasklet
Aug 16 16:44:48 krat R (cf3f9480 f3f9480) 0f3f94b0 0d228020 00000000 00000c40 11dd8000 331e1111 !
Aug 16 16:44:48 krat ath_intr: status 0x10000
Aug 16 16:44:48 krat ath_beacon_send: slot 1 [tsf 4628213818 tsftu 4519740 intval 100] vap 00000000
Aug 16 16:44:48 krat ath_intr: status 0x4009
Aug 16 16:44:48 krat ath_rx_tasklet
Aug 16 16:44:48 krat R (cf3f94b0 f3f94b0) 0f3f94e0 0d6a0020 00000000 00000c40 11cd8000 10d61111 !
Aug 16 16:44:48 krat ath_intr: status 0x9
Aug 16 16:44:48 krat ath_rx_tasklet
Aug 16 16:44:48 krat R (cf3f94e0 f3f94e0) 0f3f9510 0d703020 00000000 00000c40 12a6009c 19aa0b03 *
Aug 16 16:44:57 krat ath_rate_sample: 00:12:5a:b1:7a:41 ath_rate_tx_complete no rates yet
Aug 16 16:44:57 krat ath_key_update_begin:
Aug 16 16:44:57 krat ath_key_update_end:
Aug 16 16:44:57 krat ath_tx_processq: updating frame's sequence number from 0 to 1337
Aug 16 16:44:57 krat ath_tx_processq: free skb cf4956e0
Aug 16 16:44:57 krat ath_tx_processq: frame's last desc: cf3e36c0
Aug 16 16:44:57 krat T (cf3e36c0 f3e36c0) 00000000 0e50b824 432100da 0600a0d0 03328000 00006fbd 00000000 00000000
Aug 16 16:44:57 krat ath_intr: status 0x4009
Aug 16 16:44:57 krat ath_rx_tasklet
Aug 16 16:44:57 krat R (cf3f9450 f3f9450) 0f3f9480 0d703020 00000000 00000c40 123d8000 3bec1111 !
Aug 16 16:44:57 krat ath_intr: status 0x9
Aug 16 16:44:57 krat ath_rx_tasklet
Aug 16 16:44:57 krat R (cf3f9480 f3f9480) 0f3f94b0 0cc12020 00000000 00000c40 12a6006c 3d640b03 *
Aug 11 21:13:20 krat ath_hal: module license 'Proprietary' taints kernel.
Aug 11 21:13:20 krat ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
Aug 11 21:13:20 krat wlan: 0.8.4.2 (0.9.3.1)
Aug 11 21:13:20 krat ath_pci: no version for "ieee80211_encap" found: kernel tainted.
Aug 11 21:13:20 krat ath_pci: 0.9.4.5 (0.9.3.1)
Aug 11 21:13:20 krat ath_rate_sample: 1.2 (0.9.3.1)
Aug 11 21:13:20 krat wifi0: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
Aug 11 21:13:20 krat wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
Aug 11 21:13:20 krat wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
Aug 11 21:13:20 krat wifi0: H/W encryption support: WEP AES AES_CCM TKIP
Aug 11 21:13:20 krat wifi0: mac 10.4 phy 6.1 radio 6.3
Aug 11 21:13:20 krat wifi0: Use hw queue 1 for WME_AC_BE traffic
Aug 11 21:13:20 krat wifi0: Use hw queue 0 for WME_AC_BK traffic
Aug 11 21:13:20 krat wifi0: Use hw queue 2 for WME_AC_VI traffic
Aug 11 21:13:20 krat wifi0: Use hw queue 3 for WME_AC_VO traffic
Aug 11 21:13:20 krat wifi0: Use hw queue 8 for CAB traffic
Aug 11 21:13:20 krat wifi0: Use hw queue 9 for beacons
Aug 11 21:13:20 krat wifi0: Atheros 5212: mem=0xefde0000, irq=11

Any help would be appreciated. I'm stumped and the debug info above might as well be Greek.

Attachments

tcpdump.log (23.3 kB) - added by djfish@insightbb.com on 10/22/07 17:52:15.
XBOX 360 TCPDUMP log
tcpdump.2.log (176.1 kB) - added by djfish@insightbb.com on 11/16/07 16:25:46.
Here is a dump file with more information.

Change History

08/30/07 23:17:01 changed by djfish@insightbb.com

I have the same issue with XBOX 360 wifi adapter

09/05/07 11:47:31 changed by jal2@gmx.de

Looks like the probe request from the Xbox adapter is answered by a probe response but no other packets arrive in the AP afterwards. Could as well be a misconfigured Xbox adapter (essid, basic rate set). I lack the time to decode the probe requests/responses right now.

09/07/07 20:13:18 changed by kbug@koreen.com

Well I can pretty much bet it's not something Microsoft will fix, even if made aware of it. My mind strolls to the "approved for the xbox 360" stickers on tons of different consumer routers. If we can figure out why this happens and make a patch to madwifi to deal with it, it would make me very happy. Whenever you have the time of course. That debug info is pretty much beyond my expertise, or I'd try to fix it myself.

It's worth mentioning that the XBOX 360 itself reports that it's connected to the adapter when you go to choose a wireless network, but if you try to test the connection it fails at the "wireless network connected". Of course it never gets a DHCP address or sends any packets other than what I posted above.

09/10/07 13:30:37 changed by jal2@gmx.de

I've got both messages partially decoded (see below) but couldn't find any hints on why the Xbox adapter ceases to continue. Someone else any idea?

@bykbug

A trace of the air traffic on channel 11 while the Xbox is active may help. Could you trace the air by another physical device (e.g. Atheros in monitor mode or Prism2)? A trace of the Xbox successfully connecting to an other AP for comparsion would IMHO be helpful, too.

NODS 00:12:5a:b1:7a:41->ff:ff:ff:ff:ff:ff(ff:ff:ff:ff:ff:ff) probe_req 1M +46
40 00                   frame_control
00 00                   duration 
ff ff ff ff ff ff       addr1 
00 12 5a b1 7a 41       addr2
ff ff ff ff ff ff       addr3 
50 d7 
00 05 4b 52 61 74 47    ssid: KRatG
01 08 82 84 8b 96 0c 12 18 24   rateset: 1(b) 2(b) 5.5(b) 11(b) 6 9 12 18 
03 01 0b                        current channel: 11      
32 04 30 48 60 6c               ext. rates: 24 36 48 54 

NODS 00:02:6f:49:ef:fc->00:12:5a:b1:7a:41(00:02:6f:49:ef:fc) probe_resp 1M
50 00 3a 01 
00 12 5a b1 7a 41 
00 02 6f 49 ef fc
00 02 6f 49 ef fc 
00 00 00 00 00 00 00 00 00 00 64 00 31 04 
00 05 4b 52 61 74 47            ssid 
01 08 82 84 8b 0c 12 96 18 24   rateset
03 01 0b                        channel
07 06 4e 41 49 01 0b 1b         country: NAI, channel 1-11, max power 27 dBm
20 01 00                        power constraint (802.11h): 0 dB
2a 01 00                        ERP info (802.11g): no non-ERP, no protection, short preamble 
32 04 30 48 60 6c               ext. rates: 24 36 48 54 
dd 18 00 50 f2 02 01 01 83 00 02 a3 40 00 27 a4 00 00 42 43 5e 00 62 32 2f 00 
30 14 01 00 00 0f ac 04 01 00 00 0f ac 04 01 00 00 0f ac 02 00 00  RSN (auth/cipher info)
dd 16 00 50 f2 01 01 00 00 50 f2 04 01 00 00 50 f2 04 01 00 00 50 f2 02 
dd 09 00 03 7f 01 01 00 20 ff 7f

(follow-up: ↓ 6 ) 09/12/07 11:42:39 changed by kbug@koreen.com

I'll try to set that up in a day or two. I can set up one of those dinky consumer wireless APs and try to monitor it connecting from my laptop. For some reason I don't get emails when people send messages here so I'm having to just check back every couple days. I'll post the debug info I get.

(in reply to: ↑ 5 ) 09/13/07 09:32:09 changed by jal2@gmx.de

Replying to kbug@koreen.com:

I'll try to set that up in a day or two.

...

I'll post the debug info I get.

I'd suggest to use personal email for exchanging pcap files etc. and put a summary in this ticket afterwards. I'll send you an email with a suggestion for a trace setup.

(follow-up: ↓ 8 ) 10/01/07 21:10:00 changed by djfish@insightbb.com

Not sure if useful, but I also tried connecting my Wii to my Linux AP and it caused a kernel panic. I am using a D-Link ahteros based chip. All my computers can connect fine via both Windows and Linux, but my gaming systems (Xbox 360 and Nintendo Wii) just don't seem to want to work. Not sure how to generate debug info, so can't really provide any useful information.

(in reply to: ↑ 7 ) 10/02/07 06:25:12 changed by mrenzmann

Replying to djfish@insightbb.com:

Not sure if useful, but I also tried connecting my Wii to my Linux AP and it caused a kernel panic.

Kernel panics usually throw an "oops message", pasting that in a separate ticket would be a good start. Be sure to include further information about your setup and what you did when the panic happened.

(follow-up: ↓ 10 ) 10/03/07 20:20:08 changed by djfish@insightbb.com

It is working now :)

Since I initially tried, I think I have updated kernels 3 times. I am using Fedora Core 7. I initially was using rpm's made available by "atrpms", but removed those and switched to packages made available by "livna". Not sure which it was, but somewhere along the way, it fixed the issue. My Wii is now connecting with no issues.

Now if I could just get my XBox 360, I could throw away the piece of junk netgear router......

(in reply to: ↑ 9 ) 10/04/07 09:17:10 changed by jal2@gmx.de

Replying to djfish@insightbb.com:

Now if I could just get my XBox 360, I could throw away the piece of junk netgear router......

I guess we need more information here. I'd appreciate a trace of the air for a successful association of a XBox360 with an AP and a trace of the failed one (XBox360 with Madwifi AP). Use a third node with a WLAN interface in monitor mode running ethereal or tcpdump for the trace.

10/22/07 16:41:58 changed by djfish@insightbb.com

I would be happy to do so, but I really don't know how to setup properly. I can place my Atheros card in Monitor mode with no issues, but when I monitor via tcpdump, I don't see any output generated as other machines connect to the a wireless router. I did this

wlanconfig ath0 destroy wlanconfig ath0 create wlandev wifi0 wlanmode monitor iwconfig ath0 channel 1 #I have a netgear router running on channel 1 tcpdump -i ath0 #Nothing ever comes through here

10/22/07 17:44:38 changed by djfish@insightbb.com

Not sure if this is correct, but mananged to get this output from TCPDUMP. I connected via XBOX360 and did the "XBOX LIVE" connection test. This was with no encryption set.

10:39:36.742579 Probe Request (LINUX WLAN) [1.0* 2.0* 5.5 11.0 Mbit] 10:39:36.744914 Probe Response (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] CH: 1 10:39:36.746513 Probe Response (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] CH: 1 10:39:36.794116 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:36.896518 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:36.963721 Probe Request (LINUX WLAN) [1.0* 2.0* 5.5 11.0 Mbit] 10:39:36.964272 Probe Request () [1.0* 2.0* 5.5 11.0 Mbit] 10:39:36.965286 Probe Response (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] CH: 1 10:39:36.965607 [|802.11] 10:39:36.998918 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:37.000024 Authentication (Open System)-1: Succesful 10:39:37.000331 [|802.11] 10:39:37.000898 Authentication (Open System)-2: 10:39:37.001226 [|802.11] 10:39:37.002151 Assoc Request (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 9.0 12.0* 18.0 Mbit] 10:39:37.002469 [|802.11] 10:39:37.003097 Assoc Response AID(1) :: Succesful 10:39:37.003411 [|802.11] 10:39:37.004964 DeAuthentication? (00:17:fa:4d:aa:79): Reserved 10:39:37.005275 [|802.11] 10:39:37.101369 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:37.102425 Authentication (Open System)-1: Succesful 10:39:37.102736 [|802.11] 10:39:37.103258 Authentication (Open System)-2: 10:39:37.103574 [|802.11] 10:39:37.104531 Assoc Request (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 9.0 12.0* 18.0 Mbit] 10:39:37.104844 [|802.11] 10:39:37.105546 Assoc Response AID(1) :: Succesful 10:39:37.105864 [|802.11] 10:39:37.203701 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:37.260627 IP 0.0.0.0.bootpc > 255.255.255.255.bootps: BOOTP/DHCP, Request from 00:17:fa:4d:aa:79, length 300 10:39:37.260760 [|802.11] 10:39:37.263928 IP 0.0.0.0.bootpc > 255.255.255.255.bootps: BOOTP/DHCP, Request from 00:17:fa:4d:aa:79, length 300 10:39:37.264145 IP 192.168.1.1.bootps > 192.168.1.225.bootpc: BOOTP/DHCP, Reply, length 300 10:39:37.266069 IP 0.0.0.0.bootpc > 255.255.255.255.bootps: BOOTP/DHCP, Request from 00:17:fa:4d:aa:79, length 300 10:39:37.266237 [|802.11] 10:39:37.269385 IP 0.0.0.0.bootpc > 255.255.255.255.bootps: BOOTP/DHCP, Request from 00:17:fa:4d:aa:79, length 300 10:39:37.272324 IP 192.168.1.1.bootps > 192.168.1.225.bootpc: BOOTP/DHCP, Reply, length 300 10:39:37.272335 [|802.11] 10:39:37.273361 arp who-has 192.168.1.225 tell 192.168.1.225 10:39:37.273522 [|802.11] 10:39:37.274260 arp who-has 192.168.1.225 tell 192.168.1.225 10:39:37.306679 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:37.408501 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:37.510894 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:37.613322 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:37.715701 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:37.818099 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:37.920516 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:38.022915 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:38.053683 Probe Request (802.11G LAN) [1.0 2.0 5.5 11.0 6.0 12.0 24.0 36.0 Mbit] 10:39:38.054219 Probe Request () [1.0 2.0 5.5 11.0 6.0 12.0 24.0 36.0 Mbit] 10:39:38.055100 Probe Response (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] CH: 1 10:39:38.055413 [|802.11] 10:39:38.056389 Probe Response (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] CH: 1 10:39:38.056701 [|802.11] 10:39:38.125352 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:38.227702 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:38.260169 arp reply 192.168.1.225 is-at 00:17:fa:4d:aa:79 10:39:38.260292 [|802.11] 10:39:38.261966 arp reply 192.168.1.225 is-at 00:17:fa:4d:aa:79 10:39:38.330110 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:38.400767 IP 192.168.1.225 > 239.255.255.250: igmp v2 report 239.255.255.250 10:39:38.400884 [|802.11] 10:39:38.401556 IP 192.168.1.225.34402 > 239.255.255.250.ssdp: UDP, length 269 10:39:38.401674 [|802.11] 10:39:38.402438 IP 192.168.1.225 > 239.255.255.250: igmp v2 report 239.255.255.250 10:39:38.405428 IP 192.168.1.225.34402 > 239.255.255.250.ssdp: UDP, length 269 10:39:38.432502 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:38.534903 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:38.600917 IP 192.168.1.225.34402 > 239.255.255.250.ssdp: UDP, length 269 10:39:38.601001 [|802.11] 10:39:38.601701 IP 192.168.1.225.34402 > 239.255.255.250.ssdp: UDP, length 278 10:39:38.601771 [|802.11] 10:39:38.602431 IP 192.168.1.225.34402 > 239.255.255.250.ssdp: UDP, length 278 10:39:38.602542 [|802.11] 10:39:38.603292 IP 192.168.1.225.34402 > 239.255.255.250.ssdp: UDP, length 325 10:39:38.603405 [|802.11] 10:39:38.604119 IP 192.168.1.225.34402 > 239.255.255.250.ssdp: UDP, length 325 10:39:38.604234 [|802.11] 10:39:38.604972 IP 192.168.1.225.34402 > 239.255.255.250.ssdp: UDP, length 335 10:39:38.605086 [|802.11] 10:39:38.607977 IP 192.168.1.225.34402 > 239.255.255.250.ssdp: UDP, length 269 10:39:38.608718 IP 192.168.1.225.34402 > 239.255.255.250.ssdp: UDP, length 335 10:39:38.608831 [|802.11] 10:39:38.611814 IP 192.168.1.225.34402 > 239.255.255.250.ssdp: UDP, length 278 10:39:38.612559 IP 192.168.1.225.34402 > 239.255.255.250.ssdp: UDP, length 333 10:39:38.612674 [|802.11] 10:39:38.615674 IP 192.168.1.225.34402 > 239.255.255.250.ssdp: UDP, length 278 10:39:38.616401 IP 192.168.1.225.34402 > 239.255.255.250.ssdp: UDP, length 333 10:39:38.616515 [|802.11] 10:39:38.619894 IP 192.168.1.225.34402 > 239.255.255.250.ssdp: UDP, length 325 10:39:38.623344 IP 192.168.1.225.34402 > 239.255.255.250.ssdp: UDP, length 325 10:39:38.626774 IP 192.168.1.225.34402 > 239.255.255.250.ssdp: UDP, length 335 10:39:38.630297 IP 192.168.1.225.34402 > 239.255.255.250.ssdp: UDP, length 335 10:39:38.633789 IP 192.168.1.225.34402 > 239.255.255.250.ssdp: UDP, length 333 10:39:38.637308 IP 192.168.1.225.34402 > 239.255.255.250.ssdp: UDP, length 333 10:39:38.638336 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:38.739735 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:38.803116 arp who-has 192.168.1.1 tell 192.168.1.225 10:39:38.803229 [|802.11] 10:39:38.803999 arp who-has 192.168.1.1 tell 192.168.1.225 10:39:38.804149 arp reply 192.168.1.1 is-at 00:b0:d0:24:c2:c2 10:39:38.804197 [|802.11] 10:39:38.805222 IP 192.168.1.225.de-server > 192.168.1.1.domain: 45273+ A? XEXDS.XBOXLIVE.COM. (36) 10:39:38.805345 [|802.11] 10:39:38.806489 IP 192.168.1.1.domain > 192.168.1.225.de-server: 45273 1/5/5 A 8.6.176.15 (230) 10:39:38.806498 [|802.11] 10:39:38.842135 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:38.944529 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:39.046920 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:39.149374 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:39.251707 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:39.354113 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:39.456515 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:39.488250 IP 192.168.1.225.opennl > 8.6.176.15.xbox: UDP, length 1336 10:39:39.488344 [|802.11] 10:39:39.488684 IP 192.168.1.225.opennl-voice > 8.6.176.15.xbox: UDP, length 200 10:39:39.488788 [|802.11] 10:39:39.558916 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:39.561093 IP 8.6.176.15.xbox > 192.168.1.225.opennl: UDP, length 1336 10:39:39.561112 [|802.11] 10:39:39.566223 IP 8.6.176.15.xbox > 192.168.1.225.opennl-voice: UDP, length 200 10:39:39.566433 IP 8.6.176.15.xbox > 192.168.1.225.opennl-voice: UDP, length 200 10:39:39.661339 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:39.763713 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:39.866142 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:39.970416 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:40.070912 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:40.173321 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:40.236879 Probe Response (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] CH: 1 10:39:40.237856 Probe Response (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] CH: 1 10:39:40.276033 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:40.378143 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:40.480519 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:40.582927 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:40.685323 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:40.787992 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:40.855130 IP 192.168.1.225.opennl-voice > 8.6.176.15.xbox: UDP, length 32 10:39:40.855248 [|802.11] 10:39:40.890121 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:40.992543 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:41.094942 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:41.197435 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:41.299809 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:41.402361 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:41.504522 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:41.606924 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:41.709446 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:41.811765 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:41.914149 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:42.016557 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:42.118955 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:42.221332 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:42.323754 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:42.426148 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:42.528544 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:42.630947 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:42.733333 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:42.835761 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:42.938147 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:43.040565 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:43.142955 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:43.154614 Probe Request (linksys) [1.0 2.0 5.5 11.0 18.0 24.0 36.0 54.0 Mbit] 10:39:43.165099 Probe Request (linksys) [1.0 2.0 5.5 11.0 18.0 24.0 36.0 54.0 Mbit] 10:39:43.177914 Probe Request (linksys) [1.0 2.0 5.5 11.0 18.0 24.0 36.0 54.0 Mbit] 10:39:43.245347 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:43.350791 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:43.450144 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:43.524464 IP 192.168.1.225.opennl-voice > 8.6.176.15.xbox: UDP, length 200 10:39:43.524506 [|802.11] 10:39:43.552531 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:43.592394 IP 8.6.176.15.xbox > 192.168.1.225.opennl-voice: UDP, length 200 10:39:43.654968 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:43.757366 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:43.806135 arp who-has 192.168.1.225 tell 192.168.1.1 10:39:43.806970 arp reply 192.168.1.225 is-at 00:17:fa:4d:aa:79 10:39:43.807025 [|802.11] 10:39:43.859854 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:43.865956 IP 192.168.1.225 > 239.255.255.250: igmp v2 report 239.255.255.250 10:39:43.866007 [|802.11] 10:39:43.866881 IP 192.168.1.225 > 239.255.255.250: igmp v2 report 239.255.255.250 10:39:43.962478 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:44.064544 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:44.166948 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:44.269652 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:44.372010 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:44.474153 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:44.576580 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:44.678946 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:44.781369 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:44.858990 IP 192.168.1.225.opennl-voice > 8.6.176.15.xbox: UDP, length 32 10:39:44.859016 [|802.11] 10:39:44.883773 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:44.987015 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:45.088874 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:45.190945 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:45.293361 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:45.395749 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:45.498161 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:45.600627 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:45.702958 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:45.805524 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:45.907748 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:46.010147 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:46.112611 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:46.215357 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:46.317349 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:46.420210 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:46.522571 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:46.624615 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:46.726984 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:46.829363 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:46.931757 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:47.034157 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:47.136591 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:47.238956 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:47.341356 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:47.443761 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:47.528311 IP 192.168.1.225.opennl-voice > 8.6.176.15.xbox: UDP, length 200 10:39:47.528330 [|802.11] 10:39:47.528747 IP 192.168.1.225.opennl-voice > 8.6.176.15.xbox: UDP, length 200 10:39:47.528756 [|802.11] 10:39:47.546165 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:47.598938 IP 8.6.176.15.xbox > 192.168.1.225.opennl-voice: UDP, length 200 10:39:47.649574 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:47.750964 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:47.853358 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:47.955781 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:48.058305 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:48.160606 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:48.263095 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:48.365369 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:48.467773 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:48.570213 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:48.672564 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:48.774994 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:48.862881 IP 192.168.1.225.opennl-voice > 8.6.176.15.xbox: UDP, length 32 10:39:48.862923 [|802.11] 10:39:48.877381 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:48.979782 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:49.082197 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:49.184567 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:49.286973 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:49.389377 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:49.444055 IP 192.168.1.5.router > 192.168.1.255.router: RIPv1, Response, length: 24 10:39:49.491790 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:49.594315 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:49.696769 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:49.799297 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:49.901382 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:50.003800 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:50.106211 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:50.208576 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:50.311616 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:50.413377 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:50.516107 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:50.618250 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:50.625280 Probe Request (802.11G LAN) [1.0 2.0 5.5 11.0 6.0 12.0 24.0 36.0 Mbit] 10:39:50.625787 Probe Request () [1.0 2.0 5.5 11.0 6.0 12.0 24.0 36.0 Mbit] 10:39:50.626694 Probe Response (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] CH: 1 10:39:50.627005 [|802.11] 10:39:50.627936 Probe Response (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] CH: 1 10:39:50.628225 [|802.11] 10:39:50.720580 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:50.822982 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:50.925379 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:51.027779 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:51.095308 Probe Request () [1.0 2.0 5.5 11.0 6.0 12.0 24.0 36.0 Mbit] 10:39:51.130201 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:51.232582 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:51.334983 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:51.437393 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:51.532199 IP 192.168.1.225.opennl-voice > 8.6.176.15.xbox: UDP, length 200 10:39:51.532219 [|802.11] 10:39:51.539778 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:51.600838 IP 8.6.176.15.xbox > 192.168.1.225.opennl-voice: UDP, length 200 10:39:51.642207 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:51.744584 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:51.847081 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:51.949745 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:52.051813 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:52.154189 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:52.256586 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:52.359015 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:52.461389 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:52.563815 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:52.666220 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:52.768589 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:52.866840 IP 192.168.1.225.opennl-voice > 8.6.176.15.xbox: UDP, length 32 10:39:52.866862 [|802.11] 10:39:52.867106 IP 192.168.1.225.opennl-voice > 8.6.176.15.xbox: UDP, length 32 10:39:52.867142 [|802.11] 10:39:52.870984 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:52.973418 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1 10:39:53.075796 Beacon (802.11G LAN) [1.0* 2.0* 5.5* 11.0* 6.0* 12.0* 24.0* 36.0 Mbit] ESS CH: 1

10/22/07 17:52:15 changed by djfish@insightbb.com

  • attachment tcpdump.log added.

XBOX 360 TCPDUMP log

(follow-up: ↓ 14 ) 10/22/07 17:53:40 changed by djfish@insightbb.com

I added the file as an attachment. The line breaks didn't show up in the pasted copy.

(in reply to: ↑ 13 ) 11/15/07 15:12:30 changed by jal2@gmx.de

Replying to djfish@insightbb.com:

I added the file as an attachment. The line breaks didn't show up in the pasted copy.

Sorry, but that file doesn't help much, as most 802.11 packets are truncated and the LL header is missing. Try to capture complete packets into a .pcap file by calling

"tcpdump -i ath0 -s 0 -w output_file"

Please do this for both cases, the successful one, where Xbox connects to the Netgear router, and the failing one, where Xbox isn't able to connect to the madwifi AP. You may look into the pcap files by calling

"tcpdump -r file" or "ethereal -r file"

11/16/07 16:25:46 changed by djfish@insightbb.com

  • attachment tcpdump.2.log added.

Here is a dump file with more information.

(follow-up: ↓ 16 ) 11/16/07 16:37:59 changed by djfish@insightbb.com

I only have one wireless card, so I can't monitor the failed connection when connecting via madwifi.

(in reply to: ↑ 15 ; follow-up: ↓ 17 ) 11/17/07 00:39:55 changed by jal2@gmx.de

Replying to djfish@insightbb.com:

I only have one wireless card, so I can't monitor the failed connection when connecting via madwifi.

Second best choice: try to create a second VAP in monitor mode beside the AP one:

wlanconfig ath0_mon create wlandev wifi0 wlanmode monitor

This creates second VAP called ath0_mon0. Set it up by calling

ifconfig ath0_mon0 up

and capture with tcpdump on it as mentioned above.

(in reply to: ↑ 16 ) 03/09/08 03:13:07 changed by emeka@emeka.ca

I have two AR5212s and an XBOX 360 and am experiencing the same problem, has a resolution been found? I'm willing to help debug using my setup if somebody is willing to guide me.

05/05/08 22:58:13 changed by JohSm@hps.se

Interesting!

Got the same problems with an Watchguard Firebox Edge x10eW. It uses the same chipset AR5212 according to the startup log!

The xbox360 won't connect wireless to the Firebox, tested Openmode/WEP/WPA2 etc still no go. It do detects the net and finds the SSID but that's all. Other clients connects fine against the Firebox!

The XBOX360 works flawlessly against a DLink DGL-4300 and Alcatel Speadtouch router, so it's some incompatibility problem i guess!

So strange.....

05/06/08 06:57:34 changed by kbug@koreen.com

Hey sorry I disappeared. My roommate totally stopped using his Xbox360 for doing any gaming so it's been a moot point. One of these days I could probably get you the debug info you want, I just need to get home early enough that the roommate doesn't steal the TV. Unless someone else can get it. Although it seems no one else who has responded has had the resources to test it. As a principle thing I would like to help get this solved. I probably still have that email somewhere.

07/02/08 15:53:40 changed by JohSm@hps.se

Did open up a support ticket with Watchguard regarding the problems connecting a XBOX360 wireless adapter to a Firebox Edge X10eW device using this chipset.

Still no solution available, but bug has been confirmed by Watchguard.

So i'm waiting for the Engineering team to eventually get back with a solution to that problem.